org.fourthline.cling.support.renderingcontrol.lastchange

## Class RenderingControlLastChangeParser

- java.lang.Object
- - org.seamless.xml.SAXParser
  - - org.fourthline.cling.support.lastchange.LastChangeParser
    - - org.fourthline.cling.support.renderingcontrol.lastchange.RenderingControlLastChangeParser

-     public class RenderingControlLastChangeParser
      extends LastChangeParser

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.lastchange.LastChangeParser

      `LastChangeParser.CONSTANTS`

    - ### Nested classes/interfaces inherited from class org.seamless.xml.SAXParser

      `org.seamless.xml.SAXParser.Handler<I>, org.seamless.xml.SAXParser.SimpleErrorHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAMESPACE_URI`
    `static String` | `SCHEMA_RESOURCE`

    - ### Fields inherited from class org.seamless.xml.SAXParser

      `XML_SCHEMA_NAMESPACE, XML_SCHEMA_RESOURCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderingControlLastChangeParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Set<Class<? extends EventedValue>>` | `getEventedVariables()`
    `protected String` | `getNamespace()`
    `protected Source[]` | `getSchemaSources()`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.LastChangeParser

      `buildDOM, createValue, generate, generateEventedValue, generateInstanceIDs, generateRoot, parse, parseResource`

    - ### Methods inherited from class org.seamless.xml.SAXParser

      `create, createSchema, getErrorHandler, parse, setContentHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE_URI

          public static final String NAMESPACE_URI

      See Also:
        Constant Field Values

    - #### SCHEMA_RESOURCE

          public static final String SCHEMA_RESOURCE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RenderingControlLastChangeParser

          public RenderingControlLastChangeParser()

  - ### Method Detail

    - #### getNamespace

          protected String getNamespace()

      Specified by:
        `getNamespace` in class `LastChangeParser`

    - #### getSchemaSources

          protected Source[] getSchemaSources()

      Overrides:
        `getSchemaSources` in class `org.seamless.xml.SAXParser`

    - #### getEventedVariables

          protected Set<Class<? extends EventedValue>> getEventedVariables()

      Overrides:
        `getEventedVariables` in class `LastChangeParser`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.